Subject: bug#16875: python, comint-mode: Large output makes Emacs freeze

From: Stefan Monnier <[email-masked]>
Date: Sun, 27 Jul 2014 06:20:39 -0400

> Emacs is still slow, but at least responds to commands.  I feel that
> everything that could be optimized on the comint side is pretty much
> there and that the slowness being experienced is in fact related to the
> long-lines slowness bug mentioned before[0].

Have you tried to ensure that font-lock is only applied once a line is
complete (i.e. after seeing the corresponding \n)?

        Stefan